package com.yunzhi.roundabout.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.roundabout.entity.TaPerson;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-01-13
 */
public interface ITaPersonService extends IService<TaPerson> {

    TaPerson getByOpenId(String openid);

    boolean updateName(TaPerson taPerson);

    TaPerson getByPhone(String phone);

    IPage<TaPerson> getPageBy(IPage<TaPerson> pg, LocalDateTime start, LocalDateTime end);

    List<TaPerson> getListBy(LocalDateTime start, LocalDateTime end);
}
