package com.yunzhi.roundabout.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "sms")
public class SMSConfig {
    private String server;
    private Captcha captcha;

    @Data
    public static class Captcha {
        private String plat;
        private String template;
        private String sign;
    }
}
