package com.yunzhi.roundabout.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.roundabout.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-01-13
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {

    IPage<TaPerson> getPageBy(IPage<TaPerson> pg, @Param("start") LocalDateTime start, @Param("end")  LocalDateTime end);

    List<TaPerson> getListBy(@Param("start") LocalDateTime start, @Param("end") LocalDateTime end);
}
